##
# Copyright © 2019, Oracle and/or its affiliates. All rights reserved.
#
# Licensed under the Universal Permissive License v 1.0 as shown at
# http://oss.oracle.com/licenses/upl.
#
Name: fss-parallel-tools
Version: 1.53
Release: 1%{?dist}
Summary: Parallel tar, rm and cp utilities
Vendor: Oracle America
Group: Applications/Archiving


License: Universal Permissive License v 1.0
URL: ssh://git@bitbucket.oci.oraclecorp.com:7999/ffsw/fss-parallel-tools.git
Source: fss-parallel-tools-%{version}.tar.gz

# No longer requires pv.  It's OK if --progress fails if pv is not
# installed.  tar fails if you pass it -Z and compress isn't
# installled.

# Requires: pv

# This package was once known as puntar.  Make sure that such a package is removed.
# We say we provide puntar in case someone made a dependency on it.
Obsoletes: puntar
Provides:  puntar
Conflicts: puntar

%description
Parallel tar, rm and cp utilities.

%prep
%setup -n %{name}

%build
# Keep puntar (which is a copy of partar) for now, until people get
# used to the new name.
make partar parcp parrm partar.1.gz parrm.1.gz parcp.1.gz

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -p -m 755 partar $RPM_BUILD_ROOT/usr/bin
install -p -m 755 parrm $RPM_BUILD_ROOT/usr/bin
install -p -m 755 parcp $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
install -p -m 644 partar.1.gz $RPM_BUILD_ROOT/usr/share/man/man1
install -p -m 644 parrm.1.gz $RPM_BUILD_ROOT/usr/share/man/man1
install -p -m 644 parcp.1.gz $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}-%{release}
install -p -m 644 LICENSE $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}-%{release}

%files
%{_bindir}/partar
%{_bindir}/parrm
%{_bindir}/parcp
%{_mandir}/man1/partar.1.gz
%{_mandir}/man1/parrm.1.gz
%{_mandir}/man1/parcp.1.gz
%{_docdir}/%{name}-%{version}-%{release}/LICENSE

%changelog
* Wed Nov 28 2018 Ilya Usvyatsky <ilya.usvyatsky@oracle.com> - 0.34-1
- Added license files and updated the spec file
* Wed Aug 8 2018 Ilya Usvyatsky <ilya.usvyatsky@oracle.com> - 0.6-1
- Added parrm, parcp and dependency on pv to the package
* Wed Aug 8 2018 Bradley C. Kuszmaul <bradley.kuszmaul@oracle.com> - 0.5-1
- Handle FIFOs
* Wed Aug 8 2018 Bradley C. Kuszmaul <bradley.kuszmaul@oracle.com> - 0.4-1
- rpm packaing and OEL6 and FC27 support
* Tue Jul 17 2018 Bradley C. Kuszmaul <bradley.kuszmaul@oracle.com> - 0.3-2
- Initial RPM release
